6.0.0-git
2021-01-18

[#1305] Sort LDAP users
Summary Sort LDAP users
Queue Horde Base
Queue Version 3.0.3-RC1
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester kevin_myer (at) iu13 (dot) org
Created 2005-02-03 (5828 days ago)
Due
Updated 2005-02-04 (5827 days ago)
Assigned 2005-02-03 (5828 days ago)
Resolved 2005-02-04 (5827 days ago)
Milestone
Patch No

History
2005-02-04 03:35:53 Chuck Hagenbuch Comment #5
State ⇒ Resolved
Reply to this comment
Fixed in CVS, will be in 3.0.3.
2005-02-03 17:19:35 Jan Schneider Assigned to Horde DevelopersHorde Developers
 
2005-02-03 17:19:22 Jan Schneider Comment #4
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 2. Medium
Reply to this comment
It's a bug then.
2005-02-03 17:12:12 kevin_myer (at) iu13 (dot) org Comment #3 Reply to this comment
For any share, where you set permissions and have a drop-down menu of users.



Example:



Kronolith->My Calendars (choose a shared calendar).



Select Permissions.  The Users drop-down is not sorted.



I am using LDAP for authentication and have the following set:



$conf['auth']['params']['uid'] = 'mail';



On this same share screen, I get the following error:

Notice: Undefined index: mail in 
/horde-3.0testing/lib/Horde/Auth/ldap.php on line 328



Doesn't matter what attribute I use for uid.




2005-02-03 16:51:53 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
The user list is sorted in the interface code. Where do you see the 
users not being sorted?
2005-02-03 15:48:29 kevin_myer (at) iu13 (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Sort LDAP users
Queue ⇒ Horde Base
Reply to this comment
The following simple patch sorts a list of users returned from LDAP.   
This is particularly useful when working with shares and permissions 
in our organization (1400+ users).  When the users aren't sorted 
alphabetically, its difficult to quickly find them.



--- horde/lib/Horde/Auth/ldap.php       2005-02-03 09:03:27.000000000 -0500

+++ horde/lib/Horde/Auth/ldap.php       2005-02-03 10:43:32.000000000 -0500

@@ -327,6 +327,7 @@

          for ($i = 0; $i < $entries['count']; $i++) {

              $userlist[$i] = $entries[$i][$this->_params['uid']][0];

          }

+       sort ( $userlist );



          return $userlist;

      }


Saved Queries